PREPARE {{ prepared_statement }} {% if arg_types %}(
  {%- for arg_type in arg_types %}
    {%- if loop.last -%}
      {{ arg_type }}
    {%- else -%}
      {{ arg_type }},
    {%- endif %}
  {%- endfor -%}
){% endif %} AS
SELECT{%- if distinct %} DISTINCT{% endif %} {% if swhat %}{{ swhat }}{% else %}{% for col in columns %}
    {%- if loop.last -%}
      {{ col.name }}
    {%- else -%}
      {{ col.name }}, {{""}}
    {%- endif %}
    {%- endfor %}{% endif %} FROM {{ table }} {%- if from_elements %}{{ from_elements | safe }}{% endif %}
  {%- if condition %} WHERE {{ condition | safe }}{% endif %}{%- if options %}{{ options | safe }}{% endif %};
